<template>
    <div class="grid grid-cols-12 gap-6 pt-4">
        <div class="col-span-12 2xl:col-span-12">
            <div class="intro-y flex flex-col sm:flex-row items-center my-8">
                <div class="mr-auto">
                    <h2 class="text-lg font-medium mr-auto">
                        PT Kalbe Morinaga Indonesia
                    </h2>
                    <span>
                        Calendar of Event System
                    </span>
                </div>
                <div class="w-full sm:w-auto flex mt-4 sm:mt-0">
                    <span class="btn btn-secondary-soft shadow-md mr-2">
                        <i class="la las-globe"></i>
                    </span>
                </div>
            </div>
        </div>
        <div class="col-span-12 2xl:col-span-9 box">
            <div class="grid grid-cols-12 gap-6 mt-5">
                <!-- BEGIN: General Report -->
                <div class="col-span-12 lg:col-span-4 xl:col-span-4 p-5">
                    <DonutChart height="250" />
                    <div class="mt-5 px-3">
                        <label class="text-lg font-medium leading-none">Categories</label>
                        <div class="ml-3">
                            <div class="form-check mt-2" v-for="item in categories" :key="item.id">
                                <a class="flex items-center mr-3" href="/event">
                                    <vue-feather class="w-4 h-4 mr-1" type="target"></vue-feather> {{item.name}}
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- END: General Report -->
                <!-- BEGIN: Visitors -->
                <div class="col-span-12 sm:col-span-12 lg:col-span-7 xl:col-span-5">
                    <div class="report-box-2 intro-y">
                        <div class="box p-5 ">
                            <div class="items-center">
                                <Calendar />
                            </div>
                        </div>
                    </div>
                </div>
                <!-- END: Visitors -->
                <!-- BEGIN: Calender Details -->
                <div class="col-span-12 sm:col-span-5 lg:col-span-3 xl:col-span-3">
                    <div class="box-no-shadow intro-y">
                        <!-- BEGIN: Calender INFO -->
                        <div class="box-no-shadow border border-slate-400 p-5 m-2 intro-y">
                            <div class="mt-2">
                                <span class="text-xs p-1 rounded-full bg-success text-white mr-1">{{status}}</span>
                                <h5 class="textfont-medium leading-none mt-3">{{eventName}}
                                </h5>
                            </div>
                        </div>
                        <!-- END: Calender INFO -->
                        <!-- BEGIN: Calender TIME -->
                        <div class="box-no-shadow border border-slate-400 p-5 m-2 intro-y">
                            <div class="mt-2">
                                <div class="flex content-center">
                                    <div class="text-xs p-1 rounded bg-theme-37 text-theme-38 mr-1">
                                        <ClockIcon class="m-0" />
                                    </div>
                                    <h5 class="textfont-medium leading-none mt-2">{{eventTime}}</h5>
                                </div>
                                <div class="flex content-center mt-4">
                                    <div class="text-xs p-1 rounded bg-theme-37 text-theme-38 mr-1">
                                        <CalendarIcon class="m-0" />
                                    </div>
                                    <h5 class="textfont-medium leading-none mt-2">{{eventDate}}</h5>
                                </div>
                            </div>
                        </div>
                        <!-- END: Calender TIME -->
                        <!-- BEGIN: Calender Organizer -->
                        <div class="box-no-shadow border border-slate-400 p-5 m-2 intro-y">
                            <div class="text-base font-medium truncate"> Organizer </div>
                            <div class=" py-3 mb-3 flex items-center">
                                <div class="w-10 h-10 flex-none image-fit rounded-full overflow-hidden">
                                    <img alt="profile" src="@/assets/images/placeholders/200x200.jpg">
                                </div>
                                <div class="ml-4 mr-auto">
                                    <div class="font-medium">{{pic.name ? pic.name : '-'}}</div>
                                    <div class="text-slate-500 text-xs mt-0.5">{{pic.role ? pic.role : '-'}}</div>
                                </div>
                            </div>
                            <div class="text-base font-medium truncate"> Participants </div>
                            <div class="py-3 mb-3 flex items-center justify-between">
                                <div class="flex">
                                    <div class="w-10 h-10 image-fit zoom-in" v-for="(item,index) in eventToday.participant_event"
                                        :value="item" :key="item.username">
                                        <img alt="Participant1" class="rounded-full"
                                            src="@/assets/images/placeholders/200x200.jpg" v-if="index <= 5">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <!-- END: Calender Organizer -->
                    </div>
                </div>
                <!-- END: Calender Details -->
            </div>
        </div>
    </div>
</template>

<script>
    import DonutChart from '@/components/donut-chart/Main.vue'
    import Calendar from "@/components/calendar/Main.vue";
    export default {
        name: 'dashboard',
        components: {
            Calendar,
            DonutChart
        },
        data() {
            return {
                id: 0,
                message: null,
                categories: [],
                dataChart: {},
                eventToday: {},
                status: "No Event",
                eventName: "No Event",
                eventTime: "00:00 - 00:00",
                eventDate: "",
                pic: {},
                success: 0,
                schedulled: 0,
                msg: 'Detail',
            }
        },
        methods: {
            async getCategories() {
                const res = await this.$axios.get("/category/code", {
                    headers: {
                        "Token": this.$store.state.user.token,
                        "User-ID": this.$store.state.user.user_id
                    }
                })
                this.categories = res.data.data
            },
            async getEventToday() {
                const res = await this.$axios.get("/event/today", {
                    headers: {
                        "Token": this.$store.state.user.token,
                        "User-ID": this.$store.state.user.user_id
                    }
                })
                this.eventToday = res.data.data

                if (this.eventToday.id != 0) {
                    this.status = this.eventToday.status
                    this.eventName = this.eventToday.name
                    this.eventTime = this.eventToday.event_time_start +":"+this.eventToday.event_time_end
                    this.eventDate = this.eventToday.event_date_start
                    this.pic['name'] = this.eventToday.pic_name
                    this.pic['role'] = this.eventToday.pic_role
                } else {
                    var d = new Date(),
                        month = '' + (d.getMonth() + 1),
                        day = '' + d.getDate(),
                        year = d.getFullYear();

                    if (month.length < 2)
                        month = '0' + month;
                    if (day.length < 2)
                        day = '0' + day;
                    this.eventDate = [year, month, day].join('-');
                }
            },
        },
        created() {
            this.message = this.$route.query;
        },
        mounted() {
            this.getCategories()
            this.getEventToday()
        }
    };
</script>